<!DOCTYPE html>
<html lang="nl-BE">

<head>

    <meta charset="UTF-8">
    <meta name="author" content="Ward Verduyn">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Tel samen met ons mee tot aan het kamp, de aftelklok vind je op deze pagina!">

    <title>Chiro Zedelgem Dorp</title>

    <script src="https://kit.fontawesome.com/dc163d4ad8.js" crossorigin="anonymous"></script>

    <link rel="stylesheet" type="text/css" href="assets/css/reset.css">
    <link rel="stylesheet" type="text/css" href="assets/css/fonts.css">
    <link rel="stylesheet" type="text/css" href="assets/css/style.css">

    <link rel="shortcut icon" href="favicon.ico" type="image/x-icon">

</head>

<body class="body-aftelklok">

<div class="aftelklok">
    <h3 id="aftelkloktitel" class="aftelklok">Aftelklok</h3>
    <p id="aftelklokuitleg" class="aftelklok">Uitleg</p>
    <p id="aftelkloktijd" class="aftelklok">*tromgeroffel*</p>
    <p id="aftelklokinfo" class="aftelklok">Info</p>
</div>

<!-- Het script hieronder is een timer tot het begin of einde van kamp met tekst erbij, dit zou altijd moeten werken zolang het kamp van 11 tot 21 juli is -->

<script>
    let vandaag = new Date();

    const kampmaand = 7; // vul hier de kampmaand in als getal
    const begindag = 11; // vul hier de begindag in als getal
    const einddag = 21; // vul hier de einddag in als getal
    const kampvoorbereiding = 1; // vul hier de begindag van kampvoorbereiding in

    let kampjaar;
    if ((vandaag.getMonth() + 1 === (kampmaand) && vandaag.getDate() < (einddag + 1)) || (vandaag.getMonth() + 1 < (kampmaand))) {
        kampjaar = (vandaag.getFullYear());
    } else {
        kampjaar = (vandaag.getFullYear() + 1);
    }

    const begindatum = new Date(kampjaar, kampmaand - 1, begindag, 12 + 2); // vorm jaar, maand, dag, uur
    const einddatum = new Date(kampjaar, kampmaand - 1, einddag, 15 + 2); // vorm jaar, maand, dag, uur
    const kampvoorbereidingsdatum = new Date(kampjaar, kampmaand - 1, kampvoorbereiding, 9 + 2); // vorm jaar, maand, dag, uur

    // Tekstjes
    if (vandaag.getTime() > kampvoorbereidingsdatum.getTime() && vandaag.getTime() < begindatum.getTime()) //kampvoorbereiding bezig
    {
        document.getElementById("aftelklokinfo").innerHTML = "Het is niet lang meer, de voorbereidingen zijn al volop bezig!";
    } else if (vandaag.getTime() > begindatum.getTime() && vandaag.getTime() < einddatum.getTime()) //kamp bezig
    {
        document.getElementById("aftelklokinfo").innerHTML = "Het kamp is bezig, we amuseren ons enorm!";
    } else // Aantal nachten tot kamp
    {
        document.getElementById("aftelklokinfo").innerHTML = "Nog " + ((Math.floor((begindatum.getTime() - vandaag.getTime()) / (1000 * 60 * 60 * 24))) - 1) + " nachtjes slapen";
    }


    // Kamp begint of eindigt over
    if (vandaag.getTime() > begindatum.getTime() && vandaag.getTime() < einddatum.getTime()) //kamp bezig
    {
        document.getElementById("aftelklokuitleg").innerHTML = "Het kamp duurt nog"
    } else // Kamp niet bezig
    {
        document.getElementById("aftelklokuitleg").innerHTML = "Het kamp begint over"
    }


    // Aftelklok
    setInterval(function () {
        let timeleft;
        vandaag = new Date();

        if (vandaag.getTime() > begindatum.getTime() && vandaag.getTime() < einddatum.getTime()) //kamp bezig
        {
            timeleft = einddatum.getTime() - vandaag.getTime();
        } else // Kamp niet bezig
        {
            timeleft = begindatum.getTime() - vandaag.getTime();
        }


        const days = Math.floor(timeleft / (1000 * 60 * 60 * 24));
        const hours = Math.floor((timeleft % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
        const minutes = Math.floor((timeleft % (1000 * 60 * 60)) / (1000 * 60));
        const seconds = Math.floor((timeleft % (1000 * 60)) / 1000);

        document.getElementById("aftelkloktijd").innerHTML = days + " dagen " + hours + " uur " + minutes + " minuten " + seconds + " seconden";
    }, 1000)
</script>

</body>

</html>